wURL = "http://api.wunderground.com/api/YOUR_KEY_HERE/conditions/q/NY/New_York_City.json";

function parseData(data) {

	var current_obs = data.current_observation;

	var temp = current_obs.temp_f;
	var wind_dir = current_obs.wind_dir;
	console.log( 'wind direction', wind_dir );
	console.log( 'temp', temp );

	var first_color = "blue";
	var second_color = "red";

	// use some logic to build and change your composition
	// rules: 
	// if temp is between 0–30º, it's really cold
	if ( temp >= 0 && temp <= 30 ) { 
		console.log('cold!'); 
		var first_color = "yellow";
		var second_color = "cyan";
	}
	// if temp is between 31–60º, it's reasonable
	if ( temp >= 31 && temp <= 60 ) { 
		console.log('reasonable.'); 
		var first_color = "gray";
		var second_color = "pink";
	}
	// if temp is between 61–90º, it's hot
	if ( temp >= 61 && temp <= 90 ) { 
		console.log('hot!'); 
		var first_color = "magenta";
		var second_color = "orangered";
	}
	// catch-all
	else { 
		console.log("who know's what's going on!"); 
	}

	// set initial body color
	$('body').css('background',first_color);

	// set temp-sizer based on temp conditions
	// and! listen for click events
	var click_state = 0;
	$('#temp-sizer').css({
		'width' : temp*4+"px",
		'height' : temp*4+"px",
		'background' : 'hsl(20,'+temp+'%,50%)'
	
	}).click(function(){
		// confirm click event
		console.log('clicked');	
		// use a binary variable to turn color on or off
		if ( click_state == 0 ) { 
			click_state = 1;
			$('body').css('background',second_color);
		}
		else { 
			click_state = 0;
			$('body').css('background',first_color);
		}
		console.log( click_state );

	});

}
